Building Kernel Image Issue

cancel
Showing results for 
Search instead for 
Did you mean: 

Building Kernel Image Issue

Jump to solution
2,227 Views
Contributor IV

Hi,

I am getting this error and I don't know why. I am following the "Android User's Guide" for building a kernel. Here is what I am getting:

now@Here:~$ export PATH=~/mydroid/jb/bootable/bootloader/uboot-imx/tools:$PATH

now@Here:~$ cd mydroid/jb/kernel_imx

now@Here:~/mydroid/jb/kernel_imx$ echo $ARCH && echo $CROSS_COMPILE

now@Here:~/mydroid/jb/kernel_imx$ export ARCH=arm

now@Here:~/mydroid/jb/kernel_imx$ export CROSS_COMPILE=~/myandroid/prebuilts/gcc/linux-x86/arm/arm-eabi-4.6/bin/arm-eabi-

now@Here:~/mydroid/jb/kernel_imx$ make imx6_android_defconfig

#

# configuration written to .config

#

now@Here:~/mydroid/jb/kernel_imx$ make uImage

make: /home/now/myandroid/prebuilts/gcc/linux-x86/arm/arm-eabi-4.6/bin/arm-eabi-gcc: Command not found

scripts/kconfig/conf --silentoldconfig Kconfig

make: /home/now/myandroid/prebuilts/gcc/linux-x86/arm/arm-eabi-4.6/bin/arm-eabi-gcc: Command not found

  CHK     include/linux/version.h

  CHK     include/generated/utsrelease.h

make[1]: `include/generated/mach-types.h' is up to date.

  CC      kernel/bounds.s

/bin/sh: 1: /home/now/myandroid/prebuilts/gcc/linux-x86/arm/arm-eabi-4.6/bin/arm-eabi-gcc: not found

make[1]: *** [kernel/bounds.s] Error 127

make: *** [prepare0] Error 2

now@Here:~/mydroid/jb/kernel_imx$

What am I doing wrong? Am I missing something? I am using Ubuntu 14.04 and the JB4.3_1.1.0 GA source. Please help.

Thank you,

Labels (3)
0 Kudos
1 Solution
37 Views
Contributor IV

This case was that the path was not set correctly. Always double check the path.

View solution in original post

0 Kudos
3 Replies
38 Views
Contributor IV

This case was that the path was not set correctly. Always double check the path.

View solution in original post

0 Kudos
37 Views
NXP TechSupport
NXP TechSupport

The Android project recommends using Ubuntu 12.04 64-bits, although only the 64 bits constraint is a must after Gingerbread.

Did you follow all the steps on the Android User’s Guide in order to install required packages and patches for our Android BSP? If so in which step are you finding this error? Sometimes it’s easy to overlook steps or packages like for example installing mkimage (command below)

$sudo apt-get install uboot-mkimage

That being said, it seems that the path to the toolchain is not being taken correctly. Please check this patch and make sure the files are there. If necessary, add to the .bashrc file.

0 Kudos
37 Views
Contributor IV

Hi,

Yes I have all the right packages. I'll check path to the toolchain.

Thanks,

0 Kudos